@font-face {
  font-family: Quetzalli-Regular;
  src: url('../fonts/QuetzalliSans-Light.otf') ;
}
@font-face {
  font-family: Quetzalli-Bold;
  src: url('../fonts/QuetzalliSans-Bold.otf') ;
}


.navbar{
font-family: Quetzalli-Regular;
}

.accordion{
   --bs-accordion-border-color: #747b4c !important;
   --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem #747b4c;
   --bs-accordion-active-color: white;
   font-family: Quetzalli-Regular;
}

.accordion-button:not(.collapsed) {

    background-color: #747b4c !important;
}

/* Modal de la galeria */
.modal-body {
    background: #000;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80vh;
    overflow: hidden;
}

.carousel-item img {
    max-height: 80vh;
    width: auto;
    max-width: 100%;
    object-fit: contain;
    margin: auto;
}

.gallery-title {
    text-align: center;
    margin-bottom: 50px;
    color: #2e3b2b;
    font-weight: 700;
    position: relative;
    display: inline-block;
    left: 50%;
    transform: translateX(-50%);
}

.gallery-title::after {
    content: "";
    position: absolute;
      text-transform: uppercase;
    width: 0;
    height: 4px;
    background: #2e3b2b;
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
    transition: 0.4s ease;
}

.gallery-title:hover::after {
    width: 90px;
}



/* Diseño tarjetas imagenes */
* {
    font-family: Quetzalli-Regular;
}

/* ===== FONDO ===== */
body {
    background-color: #ffffff;
    background-image: url('../img/Fondo.png');
    background-size: cover;
    margin: 0;
    padding: 0;
}


/* ===== SECCIÓN ===== */
.gallery-section {
    padding: 40px 0;
    margin-top: 100px;
}

/* ICONO DEL TITULO */
.gallery-icon{
    width: 40px;
    height: 40px;
    margin-left: 10px;
    vertical-align: middle;
}


/* ===== TARJETAS GALERÍA ===== */
.gallery-card {
    cursor: pointer;
    border-radius: 15px;
    overflow: hidden;
    background: white;
    transition: 0.4s ease;
    box-shadow: 0 4px 12px rgba(0,0,0,0.08);
    opacity: 0;
    transform: translateY(20px);
    animation: fadeUp 0.6s ease forwards;
}
@keyframes fadeUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
.gallery-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 12px 25px rgba(0,0,0,0.18);
    
}


/* ===== IMAGEN ===== */
.gallery-img-wrapper {
    position: relative;
    overflow: hidden;
    
}

.gallery-img-wrapper img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    transition: 0.5s ease;
}

.gallery-card:hover img {
    transform: scale(1.2);
}


/* ===== OVERLAY ===== */
.gallery-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
        background: linear-gradient(to top, rgb(46, 59, 43), transparent);
    color: white;
    padding: 18px;
    opacity: 0;
    transition: 0.4s ease;
    font-weight: 600;
}

.gallery-card:hover .gallery-overlay {
    opacity: 1;
}


/* ===== TABS ===== */
.gallery-tab {
    color: #2e3b2b;
    border-radius: 30px;
    padding: 8px 18px;
    margin: 5px;
    font-weight: 600;
    transition: 0.3s;
}

.gallery-tab.active {
    background: #2e3b2b !important;
    color: white !important;
}

.gallery-tab:hover {
    background: rgba(46,59,43,0.15);
}


/* ===== MODAL ===== */
.modal-content {
    background-color: rgba(0, 0, 0, 0.9);
    border: none;
}

.modal-header {
    border-bottom: none;
}

.modal-title {
    color: white;
}


/* ===== IMAGEN MODAL ===== */
.carousel-item img {
    max-height: 85vh;
    width: auto;
    max-width: 100%;
    object-fit: contain;
    margin: auto;
}


/* ===== BOTONES CARRUSEL ===== */
.carousel-control-prev-icon,
.carousel-control-next-icon {
    filter: invert(1);
    width: 3rem;
    height: 3rem;
}


/* Icono play */
.video-play-icon {
    animation: pulse 1.5s infinite;
    position: absolute;
    top: 40%;
    left: 40%;
    transform: translate(-50%, -50%);
    font-size: 30px;
    color: white;
    background: rgba(46,59,43,0.8);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}
@keyframes pulse {
    0% { transform: scale(1); opacity: 1;}
    50% { transform: scale(1.15); opacity: .7;}
    100% { transform: scale(1); opacity: 1;}
}

/* Ajuste para que no se salga de la pantalla */
.carousel-item video {
    max-height: 85vh;
    object-fit: contain;
}


/* pantalla de carga */

#loader{
  position: fixed;
  inset: 0;
  width: 100vw;
  height: 100dvh;
  backdrop-filter: blur(6px);
  background: rgba(0,0,0,0.6);

  display: none;

  align-items: center;
  justify-content: center;

  z-index: 999999;
}


.coffee-loader {
  width: 120px;
  height: 120px;
  position: relative;
  animation: shake 3s infinite ease-in-out;
}

.cup {
  position: absolute;
  bottom: 35px;
  left: 50%;
  transform: translateX(-50%);
  width: 55px;
  height: 45px;
  background-color: #5b4022cb;
  border: 1px solid #2e2e2e;
  border-radius: 3px 3px 10px 10px;
  animation: cupPulse 6s infinite ease-in-out;
}

.cup::before {
  content: "";
  position: absolute;
  bottom: -5px;
  width: calc(100% - 2px);
  height: 6px;
  background: #5b4022cb;
  border: 1px solid #2e2e2e;
  border-top: none;
  border-radius: 50%;
}

.cup::after {
  content: "";
  position: absolute;
  top: -2px;
  left: 1px;
  width: calc(100% - 2px);
  height: 4px;
  background: #da8920ca;
  border: 1px solid #2e2e2e;
  border-radius: 50%;
  animation: coffeeGlow 6s infinite ease-in-out;
}

.cup-handle {
  position: absolute;
  top: 6px;
  right: -12px;
  width: 12px;
  height: 16px;
  border: 2px solid #2e2e2e;
  border-left: none;
  border-radius: 0 10px 10px 0;
}

.smoke {
  position: absolute;
  bottom: 100%;
  left: 50%;
  width: 10px;
  height: 25px;
  background: rgba(200,200,200,0.4);
  border-radius: 50%;
  transform: translateX(-50%);
  animation: rise 3s infinite ease-in-out;
  filter: blur(8px);
}

.smoke.two { animation-delay: .8s; }
.smoke.three { animation-delay: 1.6s; }

.load-text{
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  color: white;
  font-size: 14px;
  text-align: center;
}

/* Pleca Pie de Pagina */

.pleca-footer {
    width: 100%;
    height: 10px;
    background-image: url("../img/pleca_hero.png");
    background-repeat: repeat-x;
    background-size: auto 100%;
}


/* Animacion de cafe */
@keyframes rise {
  0% { transform: translate(-50%, 0) scale(.4); opacity:0; }
  30% { opacity:.7; }
  60% { opacity:.4; }
  100% { transform: translate(-50%, -120px) scale(1); opacity:0; }
}

@keyframes shake {
  0%,100% { transform: translate(0,0) rotate(0); }
  25% { transform: translate(-4px,-2px) rotate(-2deg); }
  75% { transform: translate(4px,-2px) rotate(2deg); }
}

@keyframes cupPulse {
  0%,100% { background-color:#5b4022cb; }
  50% { background-color:#f5f5f5bd; }
}

@keyframes coffeeGlow {
  0%,100% { background:#da8920ca; }
  50% { background:#fed197d5; }
}
